Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.util
Class MultiLoaderClassResolver

    java.lang.Object
      |
      +--com.solarmetric.kodo.util.MultiLoaderClassResolver

All Implemented Interfaces:
  ClassResolver

public class MultiLoaderClassResolver
extends Object
implements ClassResolver

An implementation of `ClassResolver` that to uses multiple `ClassLoader` objects for class resolution.

Constructor Summary
`MultiLoaderClassResolver(Class cls)`
`MultiLoaderClassResolver(Class[] classes)`
`MultiLoaderClassResolver(ClassLoader loader)`
`MultiLoaderClassResolver(ClassLoader[] loaders)`
`MultiLoaderClassResolver(Collection classes)`

Method Summary
`boolean` | `canResolveClass(String className)`
`boolean` | `equals(Object other)` This returns true for all `MultiLoaderClassResolver`s, since they load classes in exactly the same way.
`int` | `hashCode()` This method must be overridden for the standard hashCode() contract that is used when overriding the equals methos.
`Class` | `resolveClass(String className)` Resolve the class for the specified name.
`InputStream` | `resolveResource(String resourceName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`, clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiLoaderClassResolver

    public MultiLoaderClassResolver(Class cls)

### MultiLoaderClassResolver

    public MultiLoaderClassResolver(ClassLoader loader)

### MultiLoaderClassResolver

    public MultiLoaderClassResolver(ClassLoader[] loaders)

### MultiLoaderClassResolver

    public MultiLoaderClassResolver(Collection classes)

### MultiLoaderClassResolver

    public MultiLoaderClassResolver(Class[] classes)

Method Detail

### resolveClass

    public Class resolveClass(String className)

  Description copied from interface: `ClassResolver`
  Resolve the class for the specified name.
  Specified by:
    `resolveClass` in interface `ClassResolver`
  Following copied from interface: `com.solarmetric.util.classes.ClassResolver`
  Parameters:
    `className` - the specified name to load
  Returns:
    the resolved class
  Throws:
    `JDOFatalUserException` - if the class cannot be loaded.

### resolveResource

    public InputStream resolveResource(String resourceName)

  Specified by:
    `resolveResource` in interface `ClassResolver`

### canResolveClass

    public boolean canResolveClass(String className)

  Specified by:
    `canResolveClass` in interface `ClassResolver`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object other)

  This returns true for all `MultiLoaderClassResolver`s, since they load classes in exactly the same way.
  Specified by:
    `equals` in interface `ClassResolver`
  Overrides:
    `equals` in class `Object`
  Following copied from interface: `com.solarmetric.util.classes.ClassResolver`
  See Also:
    `Object.equals(Object)`

### hashCode

    public int hashCode()

  Description copied from interface: `ClassResolver`
  This method must be overridden for the standard hashCode() contract that is used when overriding the equals methos.
  Specified by:
    `hashCode` in interface `ClassResolver`
  Overrides:
    `hashCode` in class `Object`
  Following copied from interface: `com.solarmetric.util.classes.ClassResolver`
  See Also:
    `Object.hashCode()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.